<?php

/**
 * Cultura Exchange Migrate (cultura://) stream wrapper class.
 *
 * Provides support for storing uploaded Cultura Exchange XML files where they
 * won't be seen by anyone but the import code.
 *
 * Extends DrupalLocalStreamWrapper.
 */
class CulturaexchangeMigrateStreamWrapper extends DrupalLocalStreamWrapper {
  /**
   * Implements abstract public function getDirectoryPath()
   */
  public function getDirectoryPath() {
    // Allow override with an explicit path, not necessarily relative to
    // file_private_path
    $private_path = variable_get('culturaexchange_migrate_private_path', '');
    if (!$private_path) {
      $private_path = variable_get('file_private_path', '') . '/culturaexchange';
    }
    return $private_path;
  }

  /**
   * Overrides getExternalUrl().
   *
   * Do not allow an external URL to Cultura Exchange files.
   */
  function getExternalUrl() {
    return FALSE;
  }
}
